# class Sass::Selector::Placeholder

A placeholder selector (e.g. `%foo`). This exists to be replaced via `@extend`. Rulesets using this selector will not be printed, but can be extended. Otherwise, this acts just like a class selector.

### Attributes

name[R]

The placeholder name.

@return [String]

### Public Class Methods

new(name) click to toggle source

@param name [String] The placeholder name

    # File lib/sass/selector.rb, line 125
    def initialize(name)
      @name = name
    end

### Public Instance Methods

specificity() click to toggle source

@see Sass::Selector::AbstractSequence#specificity

    # File lib/sass/selector.rb, line 135
    def specificity
      SPECIFICITY_BASE
    end

to_s(opts = {}) click to toggle source

@see Selector#to_s

    # File lib/sass/selector.rb, line 130
    def to_s(opts = {})
      "%" + @name
    end